<template>

    <div class="navbar">
        <router-link :to="{name: 'MainPage'}" class="logo">
            <img src="/images/logo.png" alt="" />
        </router-link>
        <div class="sidebar-toggle"></div>
        <div class="navbar-nav">
            <div class="nav-item">
                <div class="user-card">
                    <div class="image"><img :src="userLogo" :alt="userName"></div>
                    <div class="info">
                        <div class="name">{{ userName }}</div>
                        <div class="post"></div>
                    </div>
                </div>
            </div>
            <div class="nav-item"><router-link :to="{name: 'Logout'}"><i class="ico ico-logout"></i><span></span></router-link></div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "base-navbar",
        data() {
            return {

            };
        },
        computed: {
            userLogo()  { return this.$store.state.User.logo ? this.$store.state.User.logo : '/images/anonymous.jpg' },
            userName()  { return this.$store.state.User.fname ? this.$store.state.User.fname : 'Name User' },
        }

    }
</script>

<style scoped>
    .logo {
        padding: 0 10px;
        font-size: 24px;
        font-family: NS-B, serif;
    }
</style>
